unit Sample_;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, abcQSort;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Memo1: TMemo;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Dclarations prives}
  public
    { Dclarations publiques}
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

{/ This is a declaration sample of the sort procedures used below.
// The real declarations has been moved in the abcQSort unit.
// If you want the visibility limited to the calling procedure,
// you may insert the following method after the last var declaration
// of the calling procedure (with the registered product only).
//
procedure abcStrUp (var Arry : TStringList);
var
   Mid : String; // the middle element of the Quicksort algorithm is declared with the type of the array
begin
   abcQSort (0, Arry.Count -1);
end;
}


procedure TForm1.Button1Click(Sender: TObject);
var
  temp : TStringList;

begin
   Temp := TStringList.Create;
   Temp.Text := Memo1.Text;
   abcStrUp (Temp);
   Memo1.Text := Temp.Text;
   Temp.Free;
end;

procedure TForm1.Button2Click(Sender: TObject);
var
   temp : TStringList;

   // sample of declaration with visibility limited to the calling procedure
   {procedure abcStrDown (var Tab : TStringList);
   var
      Mid : String;
   begin
      abcQSort (0, Tab.Count -1);
   end;}

begin
   Temp := TStringList.Create;
   Temp.Text := Memo1.Text;
   abcStrDown (Temp);
   Memo1.Text := Temp.Text;
   Temp.Free;

end;

end.
